<div class="flex flex-row justify-start items-center">
	<h1
		#editableElement
		(keydown.escape)="blurContent()"
		[attr.contenteditable]="isTitleEditable"
		(input)="handleChange($event)"
		class="font-medium text-2xl p-1 draw-element-border anti-padding-1"
	>
		{{ title }}
	</h1>
	<button
		[class.ml-1.5]="isRTL()"
		[class.mr-1.5]="!isRTL()"
		class="mr-1.5 edit-button"
		(click)="handleContentEditable()"
	>
		<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
			<path
				d="M3 17.25V21H6.75L17.81 9.94L14.06 6.19L3 17.25ZM20.71 7.04C21.1 6.65 21.1 6.02 20.71 5.63L18.37 3.29C17.98 2.9 17.35 2.9 16.96 3.29L15.13 5.12L18.88 8.87L20.71 7.04Z"
				fill="#717A8F"
			/>
		</svg>
	</button>
</div>
